
/**
 * \page seriale  Messaggi scambiati dal DSP.
 * Si definisce la funzionalit e la formattazione dei messaggi
 * scambiati su seriale dal DSP.
 *
 */

#include "init.c"
#include "define.h"



short data;

void PT_execute_cmd(void);



void main()
{
	while (1) {
		PT_execute_cmd();
	}
}





 
 
 /**
 * \fn PT_execute_cmd
 * Command-level parser.
 * Alla ricezione di un messaggio valido viene chiamata la seguente funzione
 * per analizzare i dati ed intraprendere l'azione da effettuare.
 * Si fornisce l'elenco dei messaggi ricevuti su seriale.
 */
void PT_execute_cmd(void) {

	switch (data) {
	/**
     * \page seriale
     * \section get_ver_rx GET_VER
     */
	case GET_VER:
	break;

	/**
     * \page seriale
     * \section cmd_slot_rx CMD_SLOT
     */	
	case CMD_SLOT:
	break;

	/**
     * \page seriale
     * \section audio_mixer_rx AUDIO_MIXER
     */		
	case AUDIO_MIXER:
	break;

	/**
     * \page seriale
     * \section audio_settaggi AUDIO_SETTAGGI
     */		
	case AUDIO_SETTAGGI:
	break;
	
	/*
     * \page seriale
     * \section slot_radio_presenti Slot_Radio_Presenti
     */
/*
	case Slot_Radio_Presenti:	0x04 
	break;
*/ 
	/**
     * \page seriale
     * \section audio_squelch_rx AUDIO_SQUELCH
     */		
	case AUDIO_SQUELCH:
	break;
	 
	 }
 }